RubyGems Navigation menu

antisamy 0.3.1

AntiSamy is a library to clean user-supplied HTML/CSS. This gem is a port of the anti-samy framework created for OWASP (http://www.owasp.org/index.php/Category:OWASP_AntiSamy_Project) AntiSamy works by using a policy to removed any dangerous input you specify from attributes to tags. This gem is built using nokogiri

Versions:

  1. 0.3.1 - December 21, 2011 (66.5 KB)
  2. 0.3.0 - December 21, 2011 (67 KB)
  3. 0.2.1 - March 14, 2011 (65.5 KB)
  4. 0.2.0 - March 14, 2011 (65.5 KB)
  5. 0.0.1 - March 08, 2011 (13.5 KB)

Runtime Dependencies (1):

Development Dependencies (7):

  • bundler ~> 1.0.0
  • jeweler ~> 1.5.2
  • nokogiri >= 0
  • nokogiri >= 0
  • rcov >= 0
  • rspec >= 2.3.0
  • yard ~> 0.6.0
  • Owners:

    Authors:

    • Sal Scotto

    SHA 256 checksum:

    a20313292b088b34f8b89b231b904e828c6011fa8b85f78869ca0c2a4923da80

    Total downloads 23,577

    For this version 6,775

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    Licenses:

    N/A

    Required Ruby Version: None

    Links: